searchNodes=[{"doc":"Internal module for returning the Azure Key Vault API Version.","ref":"ExAzureKeyVault.APIVersion.html","title":"ExAzureKeyVault.APIVersion","type":"module"},{"doc":"Returns the Azure Key Vault API Version.Examplesiex(1)&gt; ExAzureKeyVault.APIVersion.version() &quot;2016-10-01&quot;","ref":"ExAzureKeyVault.APIVersion.html#version/0","title":"ExAzureKeyVault.APIVersion.version/0","type":"function"},{"doc":"Internal module for getting authentication token for Azure connection.","ref":"ExAzureKeyVault.Auth.html","title":"ExAzureKeyVault.Auth","type":"module"},{"doc":"Returns bearer token for Azure connection.Examplesiex(1)&gt; ExAzureKeyVault.Auth.new(&quot;6f185f82-9909...&quot;, &quot;6f1861e4-9909...&quot;, &quot;6f185bb8-9909...&quot;) ...(1)&gt; |&gt; ExAzureKeyVault.Auth.get_bearer_token() {:ok, &quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;}","ref":"ExAzureKeyVault.Auth.html#get_bearer_token/1","title":"ExAzureKeyVault.Auth.get_bearer_token/1","type":"function"},{"doc":"Creates %ExAzureKeyVault.Auth{} struct with account tokens.Examplesiex(1)&gt; ExAzureKeyVault.Auth.new(&quot;6f185f82-9909...&quot;, &quot;6f1861e4-9909...&quot;, &quot;6f185bb8-9909...&quot;) %ExAzureKeyVault.Auth{ client_id: &quot;6f185f82-9909...&quot;, client_secret: &quot;6f1861e4-9909...&quot;, tenant_id: &quot;6f185bb8-9909...&quot; }","ref":"ExAzureKeyVault.Auth.html#new/3","title":"ExAzureKeyVault.Auth.new/3","type":"function"},{"doc":"","ref":"ExAzureKeyVault.Auth.html#t:t/0","title":"ExAzureKeyVault.Auth.t/0","type":"type"},{"doc":"Client for creating or getting Azure Key Vault.","ref":"ExAzureKeyVault.Client.html","title":"ExAzureKeyVault.Client","type":"module"},{"doc":"Connects to Azure Key Vault using client assertion.ExamplesWhen defining environment variables and/or adding to configuration.$ export AZURE_CLIENT_ID=&quot;14e79d90-9abf...&quot; $ export AZURE_TENANT_ID=&quot;14e7a376-9abf...&quot; $ export AZURE_VAULT_NAME=&quot;my-vault&quot; $ export AZURE_CERT_BASE64_THUMBPRINT=&quot;Dss7v2YI3GgCGfl...&quot; $ export AZURE_CERT_PRIVATE_KEY_PEM=&quot;-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEF...&quot; # Config.exs config :ex_azure_key_vault, azure_client_id: {:system, &quot;AZURE_CLIENT_ID&quot;}, azure_tenant_id: {:system, &quot;AZURE_TENANT_ID&quot;}, azure_vault_name: {:system, &quot;AZURE_VAULT_NAME&quot;} azure_cert_base64_thumbprint: {:system, &quot;AZURE_CERT_BASE64_THUMBPRINT&quot;}, azure_cert_private_key_pem: {:system, &quot;AZURE_CERT_PRIVATE_KEY_PEM&quot;} iex(1)&gt; ExAzureKeyVault.Client.cert_connect() %ExAzureKeyVault.Client{ api_version: &quot;2016-10-01&quot;, bearer_token: &quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;, vault_name: &quot;my-vault&quot; }Passing custom parameters.iex(1)&gt; ExAzureKeyVault.Client.cert_connect(&quot;custom-vault&quot;, &quot;14e7a376-9abf...&quot;, &quot;14e79d90-9abf...&quot;, &quot;Dss7v2YI3GgCGfl...&quot;, &quot;-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEF...&quot;) %ExAzureKeyVault.Client{ api_version: &quot;2016-10-01&quot;, bearer_token: &quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;, vault_name: &quot;custom-vault&quot; }","ref":"ExAzureKeyVault.Client.html#cert_connect/5","title":"ExAzureKeyVault.Client.cert_connect/5","type":"function"},{"doc":"Connects to Azure Key Vault.ExamplesWhen defining environment variables and/or adding to configuration.$ export AZURE_CLIENT_ID=&quot;14e79d90-9abf...&quot; $ export AZURE_CLIENT_SECRET=&quot;14e7a11e-9abf...&quot; $ export AZURE_TENANT_ID=&quot;14e7a376-9abf...&quot; $ export AZURE_VAULT_NAME=&quot;my-vault&quot; # Config.exs config :ex_azure_key_vault, azure_client_id: {:system, &quot;AZURE_CLIENT_ID&quot;}, azure_client_secret: {:system, &quot;AZURE_CLIENT_SECRET&quot;}, azure_tenant_id: {:system, &quot;AZURE_TENANT_ID&quot;}, azure_vault_name: {:system, &quot;AZURE_VAULT_NAME&quot;} iex(1)&gt; ExAzureKeyVault.Client.connect() %ExAzureKeyVault.Client{ api_version: &quot;2016-10-01&quot;, bearer_token: &quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;, vault_name: &quot;my-vault&quot; }Passing custom parameters.iex(1)&gt; ExAzureKeyVault.Client.connect(&quot;custom-vault&quot;, &quot;14e7a376-9abf...&quot;, &quot;14e79d90-9abf...&quot;, &quot;14e7a11e-9abf...&quot;) %ExAzureKeyVault.Client{ api_version: &quot;2016-10-01&quot;, bearer_token: &quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;, vault_name: &quot;custom-vault&quot; }","ref":"ExAzureKeyVault.Client.html#connect/4","title":"ExAzureKeyVault.Client.connect/4","type":"function"},{"doc":"Creates a new secret.Examplesiex(1)&gt; ExAzureKeyVault.Client.connect() |&gt; ExAzureKeyVault.Client.create_secret(&quot;my-new-secret&quot;, &quot;my-new-value&quot;) :ok","ref":"ExAzureKeyVault.Client.html#create_secret/3","title":"ExAzureKeyVault.Client.create_secret/3","type":"function"},{"doc":"Deletes a secret.Examplesiex(1)&gt; ExAzureKeyVault.Client.connect() |&gt; ExAzureKeyVault.Client.delete_secret(&quot;my-secret&quot;) :ok","ref":"ExAzureKeyVault.Client.html#delete_secret/2","title":"ExAzureKeyVault.Client.delete_secret/2","type":"function"},{"doc":"Returns secret value.ExamplesIgnoring secret version.iex(1)&gt; ExAzureKeyVault.Client.connect() |&gt; ExAzureKeyVault.Client.get_secret(&quot;my-secret&quot;) {:ok, &quot;my-value&quot;}Passing secret version.iex(1)&gt; ExAzureKeyVault.Client.connect() |&gt; ExAzureKeyVault.Client.get_secret(&quot;my-secret&quot;, &quot;03b424a49ac3...&quot;) {:ok, &quot;my-other-value&quot;}","ref":"ExAzureKeyVault.Client.html#get_secret/3","title":"ExAzureKeyVault.Client.get_secret/3","type":"function"},{"doc":"Returns list of secrets.ExamplesPassing a maximum number of 2 results in a page.iex(1)&gt; ExAzureKeyVault.Client.connect() |&gt; ExAzureKeyVault.Client.get_secrets(2) {:ok, %{ &quot;nextLink&quot; =&gt; &quot;https://my-vault.vault.azure.net:443/secrets?api-version=2016-10-01&amp;$skiptoken=eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6...&amp;maxresults=2&quot;, &quot;value&quot; =&gt; [ %{ &quot;attributes&quot; =&gt; %{ &quot;created&quot; =&gt; 1533704004, &quot;enabled&quot; =&gt; true, &quot;recoveryLevel&quot; =&gt; &quot;Purgeable&quot;, &quot;updated&quot; =&gt; 1533704004 }, &quot;id&quot; =&gt; &quot;https://my-vault.vault.azure.net/secrets/my-secret&quot; }, %{ &quot;attributes&quot; =&gt; %{ &quot;created&quot; =&gt; 1532633078, &quot;enabled&quot; =&gt; true, &quot;recoveryLevel&quot; =&gt; &quot;Purgeable&quot;, &quot;updated&quot; =&gt; 1532633078 }, &quot;id&quot; =&gt; &quot;https://my-vault.vault.azure.net/secrets/another-secret&quot; } ] }}Ignoring maximum number of results.iex(1)&gt; ExAzureKeyVault.Client.connect() |&gt; ExAzureKeyVault.Client.get_secrets() {:ok, %{ &quot;nextLink&quot; =&gt; nil, &quot;value&quot; =&gt; [ %{ &quot;attributes&quot; =&gt; %{ &quot;created&quot; =&gt; 1533704004, &quot;enabled&quot; =&gt; true, &quot;recoveryLevel&quot; =&gt; &quot;Purgeable&quot;, &quot;updated&quot; =&gt; 1533704004 }, &quot;id&quot; =&gt; &quot;https://my-vault.vault.azure.net/secrets/my-secret&quot; }, %{ &quot;attributes&quot; =&gt; %{ &quot;created&quot; =&gt; 1532633078, &quot;enabled&quot; =&gt; true, &quot;recoveryLevel&quot; =&gt; &quot;Purgeable&quot;, &quot;updated&quot; =&gt; 1532633078 }, &quot;id&quot; =&gt; &quot;https://my-vault.vault.azure.net/secrets/another-secret&quot; }, %{ &quot;attributes&quot; =&gt; %{ &quot;created&quot; =&gt; 1532633078, &quot;enabled&quot; =&gt; true, &quot;recoveryLevel&quot; =&gt; &quot;Purgeable&quot;, &quot;updated&quot; =&gt; 1532633078 }, &quot;id&quot; =&gt; &quot;https://my-vault.vault.azure.net/secrets/test-secret&quot; } ] }}","ref":"ExAzureKeyVault.Client.html#get_secrets/2","title":"ExAzureKeyVault.Client.get_secrets/2","type":"function"},{"doc":"Returns next page of secrets in the pagination.Examplesiex(1)&gt; client = ExAzureKeyVault.Client.connect() ... iex(1)&gt; {_, secrets} = client |&gt; ExAzureKeyVault.Client.get_secrets(2) ... iex(1)&gt; {_, next_secrets} = client |&gt; ExAzureKeyVault.Client.get_secrets_next(secrets[&quot;nextLink&quot;]) {:ok, %{ &quot;nextLink&quot; =&gt; nil, &quot;value&quot; =&gt; [ %{ &quot;attributes&quot; =&gt; %{ &quot;created&quot; =&gt; 1532633078, &quot;enabled&quot; =&gt; true, &quot;recoveryLevel&quot; =&gt; &quot;Purgeable&quot;, &quot;updated&quot; =&gt; 1532633078 }, &quot;id&quot; =&gt; &quot;https://my-vault.vault.azure.net/secrets/test-secret&quot; } ] }}","ref":"ExAzureKeyVault.Client.html#get_secrets_next/2","title":"ExAzureKeyVault.Client.get_secrets_next/2","type":"function"},{"doc":"Creates %ExAzureKeyVault.Client{} struct with connection information.ExamplesUsing default API version.iex(1)&gt; ExAzureKeyVault.Client.new(&quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;, &quot;my-vault&quot;) %ExAzureKeyVault.Client{ api_version: &quot;2016-10-01&quot;, bearer_token: &quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;, vault_name: &quot;my-vault&quot; }Passing custom API version.iex(1)&gt; ExAzureKeyVault.Client.new(&quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;, &quot;my-vault&quot;, &quot;2015-06-01&quot;) %ExAzureKeyVault.Client{ api_version: &quot;2015-06-01&quot;, bearer_token: &quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;, vault_name: &quot;my-vault&quot; }","ref":"ExAzureKeyVault.Client.html#new/3","title":"ExAzureKeyVault.Client.new/3","type":"function"},{"doc":"","ref":"ExAzureKeyVault.Client.html#t:t/0","title":"ExAzureKeyVault.Client.t/0","type":"type"},{"doc":"Internal module for getting authentication token for Azure connection using client assertion.","ref":"ExAzureKeyVault.ClientAssertionAuth.html","title":"ExAzureKeyVault.ClientAssertionAuth","type":"module"},{"doc":"Returns bearer token for Azure connection using client assertion.Examplesiex(1)&gt; ExAzureKeyVault.ClientAssertionAuth.new(&quot;6f185f82-9909...&quot;, &quot;6f1861e4-9909...&quot;, &quot;Dss7v2YI3GgCGfl...&quot;, &quot;-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEF...&quot;) ...(1)&gt; |&gt; ExAzureKeyVault.ClientAssertionAuth.get_bearer_token() {:ok, &quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;}","ref":"ExAzureKeyVault.ClientAssertionAuth.html#get_bearer_token/1","title":"ExAzureKeyVault.ClientAssertionAuth.get_bearer_token/1","type":"function"},{"doc":"Creates %ExAzureKeyVault.ClientAssertionAuth{} struct with account tokens and cert data.Examplesiex(1)&gt; ExAzureKeyVault.ClientAssertionAuth.new(&quot;6f185f82-9909...&quot;, &quot;6f1861e4-9909...&quot;, &quot;Dss7v2YI3GgCGfl...&quot;, &quot;-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEF...&quot;) %ExAzureKeyVault.ClientAssertionAuth{ client_id: &quot;6f185f82-9909...&quot;, tenant_id: &quot;6f1861e4-9909...&quot;, cert_base64_thumbprint: &quot;Dss7v2YI3GgCGfl...&quot;, cert_private_key_pem: &quot;-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEF...&quot; }","ref":"ExAzureKeyVault.ClientAssertionAuth.html#new/4","title":"ExAzureKeyVault.ClientAssertionAuth.new/4","type":"function"},{"doc":"","ref":"ExAzureKeyVault.ClientAssertionAuth.html#t:t/0","title":"ExAzureKeyVault.ClientAssertionAuth.t/0","type":"type"},{"doc":"Internal module for returning HTTP utilities.","ref":"ExAzureKeyVault.HTTPUtils.html","title":"ExAzureKeyVault.HTTPUtils","type":"module"},{"doc":"Returns authorization header.Examplesiex(1)&gt; ExAzureKeyVault.HTTPUtils.headers_authorization(&quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;) [&quot;Authorization&quot;: &quot;Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...&quot;, &quot;Content-Type&quot;: &quot;application/json; charset=utf-8&quot;]","ref":"ExAzureKeyVault.HTTPUtils.html#headers_authorization/1","title":"ExAzureKeyVault.HTTPUtils.headers_authorization/1","type":"function"},{"doc":"Returns &quot;application/x-www-form-urlencoded&quot; header.Examplesiex(1)&gt; ExAzureKeyVault.HTTPUtils.headers_form_urlencoded() [&quot;Content-Type&quot;: &quot;application/x-www-form-urlencoded&quot;]","ref":"ExAzureKeyVault.HTTPUtils.html#headers_form_urlencoded/0","title":"ExAzureKeyVault.HTTPUtils.headers_form_urlencoded/0","type":"function"},{"doc":"Returns ssl options.Examplesiex(1)&gt; ExAzureKeyVault.HTTPUtils.options_ssl() [ssl: [{:versions, [:&#39;tlsv1.2&#39;]}]]","ref":"ExAzureKeyVault.HTTPUtils.html#options_ssl/0","title":"ExAzureKeyVault.HTTPUtils.options_ssl/0","type":"function"},{"doc":"Returns basic error message for 4xx status codes.Examplesiex(1)&gt; ExAzureKeyVault.HTTPUtils.response_client_error(401, &quot;https://wrong-vault.vault.azure.net/secrets&quot;) {:error, &quot;Error: 401: https://wrong-vault.vault.azure.net/secrets&quot;}","ref":"ExAzureKeyVault.HTTPUtils.html#response_client_error/2","title":"ExAzureKeyVault.HTTPUtils.response_client_error/2","type":"function"},{"doc":"Returns error message for 4xx status codes.Examplesiex(1)&gt; ExAzureKeyVault.HTTPUtils.response_client_error(404, &quot;&quot;, &quot;{\\&quot;error_message\\&quot;:\\&quot;Not found\\&quot;}&quot;) {:error, %{&quot;error_message&quot; =&gt; &quot;Not found&quot;}}","ref":"ExAzureKeyVault.HTTPUtils.html#response_client_error/3","title":"ExAzureKeyVault.HTTPUtils.response_client_error/3","type":"function"},{"doc":"Returns basic error or :ok response.ExamplesWhen is a client error.iex(1)&gt; ExAzureKeyVault.HTTPUtils.response_client_error_or_ok(401, &quot;https://wrong-vault.vault.azure.net/secrets&quot;) {:error, &quot;Error: 401: https://wrong-vault.vault.azure.net/secrets&quot;}When is a redirection.iex(1)&gt; ExAzureKeyVault.HTTPUtils.response_client_error_or_ok(301, &quot;https://wrong-vault.vault.azure.net/secrets&quot;) :ok","ref":"ExAzureKeyVault.HTTPUtils.html#response_client_error_or_ok/2","title":"ExAzureKeyVault.HTTPUtils.response_client_error_or_ok/2","type":"function"},{"doc":"Returns client error or :ok response.ExamplesWhen is a client error.iex(1)&gt; ExAzureKeyVault.HTTPUtils.response_client_error_or_ok(404, &quot;&quot;, &quot;{\\&quot;error_message\\&quot;:\\&quot;Not found\\&quot;}&quot;) {:error, %{&quot;error_message&quot; =&gt; &quot;Not found&quot;}}When is a redirection.iex(1)&gt; ExAzureKeyVault.HTTPUtils.response_client_error_or_ok(301, &quot;&quot;, &quot;{}&quot;) {:ok, %{}}","ref":"ExAzureKeyVault.HTTPUtils.html#response_client_error_or_ok/3","title":"ExAzureKeyVault.HTTPUtils.response_client_error_or_ok/3","type":"function"},{"doc":"Returns ok response.Examplesiex(1)&gt; ExAzureKeyVault.HTTPUtils.response_ok(&quot;{}&quot;) {:ok, %{}}","ref":"ExAzureKeyVault.HTTPUtils.html#response_ok/1","title":"ExAzureKeyVault.HTTPUtils.response_ok/1","type":"function"},{"doc":"Returns error message for server errors.Examplesiex(1)&gt; ExAzureKeyVault.HTTPUtils.response_server_error(:econnrefused) {:error, :econnrefused}","ref":"ExAzureKeyVault.HTTPUtils.html#response_server_error/1","title":"ExAzureKeyVault.HTTPUtils.response_server_error/1","type":"function"},{"doc":"Returns error message for :nxdomain error.Examplesiex(1)&gt; ExAzureKeyVault.HTTPUtils.response_server_error(:nxdomain, &quot;https://wrong-vault.vault.azure.net/secrets&quot;) {:error, &quot;Error: Couldn&#39;t resolve host name https://wrong-vault.vault.azure.net/secrets&quot;}","ref":"ExAzureKeyVault.HTTPUtils.html#response_server_error/2","title":"ExAzureKeyVault.HTTPUtils.response_server_error/2","type":"function"},{"doc":"Internal module for getting Azure Key Vault URL.","ref":"ExAzureKeyVault.Url.html","title":"ExAzureKeyVault.Url","type":"module"},{"doc":"Returns body for secret creation.Examplesiex(1)&gt; ExAzureKeyVault.Url.get_body(&quot;my-secret&quot;) &quot;{\\&quot;value\\&quot;:\\&quot;my-secret\\&quot;}&quot;","ref":"ExAzureKeyVault.Url.html#get_body/1","title":"ExAzureKeyVault.Url.get_body/1","type":"function"},{"doc":"Returns Azure Key Vault URL for get secrets.ExamplesPassing a maximum number of 10 results in a page.iex(1)&gt; ExAzureKeyVault.Url.new(&quot;my-secret&quot;, &quot;my-vault&quot;) |&gt; ExAzureKeyVault.Url.get_secrets_url(10, &quot;2016-10-01&quot;) &quot;https://my-vault.vault.azure.net/secrets?api-version=2016-10-01&amp;maxresults=10&quot;Ignoring maximum number of results.iex(1)&gt; ExAzureKeyVault.Url.new(&quot;my-secret&quot;, &quot;my-vault&quot;) |&gt; ExAzureKeyVault.Url.get_secrets_url(nil, &quot;2016-10-01&quot;) &quot;https://my-vault.vault.azure.net/secrets?api-version=2016-10-01&quot;","ref":"ExAzureKeyVault.Url.html#get_secrets_url/3","title":"ExAzureKeyVault.Url.get_secrets_url/3","type":"function"},{"doc":"Returns Azure Key Vault URL for secret management.ExamplesPassing secret version.iex(1)&gt; ExAzureKeyVault.Url.new(&quot;my-secret&quot;, &quot;my-vault&quot;) |&gt; ExAzureKeyVault.Url.get_url(&quot;7ea98ee699b1...&quot;, &quot;2016-10-01&quot;) &quot;https://my-vault.vault.azure.net/secrets/my-secret/7ea98ee699b1...?api-version=2016-10-01&quot;Ignoring secret version.iex(1)&gt; ExAzureKeyVault.Url.new(&quot;my-secret&quot;, &quot;my-vault&quot;) |&gt; ExAzureKeyVault.Url.get_url(nil, &quot;2016-10-01&quot;) &quot;https://my-vault.vault.azure.net/secrets/my-secret?api-version=2016-10-01&quot;","ref":"ExAzureKeyVault.Url.html#get_url/3","title":"ExAzureKeyVault.Url.get_url/3","type":"function"},{"doc":"Creates %ExAzureKeyVault.Url{} struct with vault name.Examplesiex(1)&gt; ExAzureKeyVault.Url.new(&quot;my-secret&quot;, &quot;my-vault&quot;) %ExAzureKeyVault.Url{secret_name: &quot;my-secret&quot;, vault_name: &quot;my-vault&quot;}","ref":"ExAzureKeyVault.Url.html#new/2","title":"ExAzureKeyVault.Url.new/2","type":"function"},{"doc":"","ref":"ExAzureKeyVault.Url.html#t:t/0","title":"ExAzureKeyVault.Url.t/0","type":"type"},{"doc":"Elixir Azure Key VaultElixir wrapper for Azure Key Vault REST API.","ref":"docs.html","title":"Elixir Azure Key Vault","type":"extras"},{"doc":"The package can be installed by adding ex_azure_key_vault to your list of dependencies in mix.exs:def deps do [ {:ex_azure_key_vault, &quot;~&gt; 2.0.1&quot;} ] end","ref":"docs.html#installation","title":"Elixir Azure Key Vault - Installation","type":"extras"},{"doc":"When defining environment variables and/or adding to configuration.$ export AZURE_CLIENT_ID=&quot;14e79d90-9abf...&quot; $ export AZURE_CLIENT_SECRET=&quot;14e7a11e-9abf...&quot; $ export AZURE_TENANT_ID=&quot;14e7a376-9abf...&quot; $ export AZURE_VAULT_NAME=&quot;my-vault&quot;# Config.exs config :ex_azure_key_vault, azure_client_id: {:system, &quot;AZURE_CLIENT_ID&quot;}, azure_client_secret: {:system, &quot;AZURE_CLIENT_SECRET&quot;}, azure_tenant_id: {:system, &quot;AZURE_TENANT_ID&quot;}, azure_vault_name: {:system, &quot;AZURE_VAULT_NAME&quot;}Getting a secretiex(1)&gt; ExAzureKeyVault.Client.connect() |&gt; ExAzureKeyVault.Client.get_secret(&quot;my-secret&quot;) {:ok, &quot;my-value&quot;}Creating a secretiex(1)&gt; ExAzureKeyVault.Client.connect() |&gt; ExAzureKeyVault.Client.create_secret(&quot;my-new-secret&quot;, &quot;my-new-value&quot;) :okDeleting a secretiex(1)&gt; ExAzureKeyVault.Client.connect() |&gt; ExAzureKeyVault.Client.delete_secret(&quot;my-secret&quot;) :ok","ref":"docs.html#basic-usage","title":"Elixir Azure Key Vault - Basic usage","type":"extras"},{"doc":"For additional security, ex_azure_key_vault accepts client assertion instead of a client secret. To do so, first you need to upload a certificate to your Azure App Registration. Then pass the certificate SHA-1 thumbprint in base64 format and the private key in PEM format to ex_azure_key_vault.$ export AZURE_CLIENT_ID=&quot;14e79d90-9abf...&quot; $ export AZURE_TENANT_ID=&quot;14e7a376-9abf...&quot; $ export AZURE_VAULT_NAME=&quot;my-vault&quot; $ export AZURE_CERT_BASE64_THUMBPRINT=&quot;Dss7v2YI3GgCGfl...&quot;, $ export AZURE_CERT_PRIVATE_KEY_PEM=&quot;-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEF...&quot;# Config.exs config :ex_azure_key_vault, azure_client_id: {:system, &quot;AZURE_CLIENT_ID&quot;}, azure_tenant_id: {:system, &quot;AZURE_TENANT_ID&quot;}, azure_vault_name: {:system, &quot;AZURE_VAULT_NAME&quot;}, azure_cert_base64_thumbprint: {:system, &quot;AZURE_CERT_BASE64_THUMBPRINT&quot;}, azure_cert_private_key_pem: {:system, &quot;AZURE_CERT_PRIVATE_KEY_PEM&quot;}Getting a secretiex(1)&gt; ExAzureKeyVault.Client.cert_connect() |&gt; ExAzureKeyVault.Client.get_secret(&quot;my-secret&quot;) {:ok, &quot;my-value&quot;}","ref":"docs.html#connecting-with-client-assertion","title":"Elixir Azure Key Vault - Connecting with client assertion","type":"extras"}]